Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.construct.builder
Class BridgeBuilder

    java.lang.Object
      org.mule.construct.builder.AbstractFlowConstructBuilder<T,F>
          org.mule.construct.builder.AbstractFlowConstructWithSingleInboundEndpointBuilder<T,F>
              org.mule.construct.builder.AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder<BridgeBuilder,Bridge>
                  org.mule.construct.builder.BridgeBuilder

    public class BridgeBuilder

extends AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder<BridgeBuilder,Bridge>

Field Summary
`protected MessageExchangePattern` | `exchangePattern`
`protected boolean` | `transacted`

Fields inherited from class org.mule.construct.builder.AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder
`outboundResponseTransformers, outboundTransformers`

Fields inherited from class org.mule.construct.builder.AbstractFlowConstructWithSingleInboundEndpointBuilder
`inboundResponseTransformers, inboundTransformers`

Fields inherited from class org.mule.construct.builder.AbstractFlowConstructBuilder
`exceptionListener, messageSource, name`

Constructor Summary
`BridgeBuilder()`

Method Summary
`protected Bridge` | `buildFlowConstruct(MuleContext muleContext)`
`protected void` | `doConfigureInboundEndpointBuilder(MuleContext muleContext, EndpointBuilder endpointBuilder)`
`protected void` | `doConfigureOutboundEndpointBuilder(MuleContext muleContext, EndpointBuilder endpointBuilder)`
`BridgeBuilder` | `exchangePattern(MessageExchangePattern exchangePattern)`
`protected MessageExchangePattern` | `getInboundMessageExchangePattern()`
`protected MessageExchangePattern` | `getOutboundMessageExchangePattern()`
`BridgeBuilder` | `inboundResponseTransformers(Transformer... responseTransformers)`
`BridgeBuilder` | `inboundTransformers(Transformer... transformers)`
`BridgeBuilder` | `transacted(boolean transacted)`

Methods inherited from class org.mule.construct.builder.AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder
`getOrBuildOutboundEndpoint, outboundAddress, outboundEndpoint, outboundEndpoint`

Methods inherited from class org.mule.construct.builder.AbstractFlowConstructWithSingleInboundEndpointBuilder
`getOrBuildInboundEndpoint, inboundAddress, inboundEndpoint, inboundEndpoint`

Methods inherited from class org.mule.construct.builder.AbstractFlowConstructBuilder
`addExceptionListener, build, buildAndRegister, exceptionStrategy, messageSource, name`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exchangePattern

    protected MessageExchangePattern exchangePattern

### transacted

    protected boolean transacted

Constructor Detail

### BridgeBuilder

    public BridgeBuilder()

Method Detail

### getInboundMessageExchangePattern

    protected MessageExchangePattern getInboundMessageExchangePattern()

  Specified by:
    `getInboundMessageExchangePattern` in class `AbstractFlowConstructWithSingleInboundEndpointBuilder<BridgeBuilder,Bridge>`

### getOutboundMessageExchangePattern

    protected MessageExchangePattern getOutboundMessageExchangePattern()

  Specified by:
    `getOutboundMessageExchangePattern` in class `AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder<BridgeBuilder,Bridge>`

### exchangePattern

    public BridgeBuilder exchangePattern(MessageExchangePattern exchangePattern)

### transacted

    public BridgeBuilder transacted(boolean transacted)

### inboundTransformers

    public BridgeBuilder inboundTransformers(Transformer... transformers)

### inboundResponseTransformers

    public BridgeBuilder inboundResponseTransformers(Transformer... responseTransformers)

### doConfigureInboundEndpointBuilder

    protected void doConfigureInboundEndpointBuilder(MuleContext muleContext,
                                                     EndpointBuilder endpointBuilder)

  Overrides:
    `doConfigureInboundEndpointBuilder` in class `AbstractFlowConstructWithSingleInboundEndpointBuilder<BridgeBuilder,Bridge>`

### doConfigureOutboundEndpointBuilder

    protected void doConfigureOutboundEndpointBuilder(MuleContext muleContext,
                                                      EndpointBuilder endpointBuilder)

  Overrides:
    `doConfigureOutboundEndpointBuilder` in class `AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder<BridgeBuilder,Bridge>`

### buildFlowConstruct

    protected Bridge buildFlowConstruct(MuleContext muleContext)
                                 throws MuleException

  Specified by:
    `buildFlowConstruct` in class `AbstractFlowConstructBuilder<BridgeBuilder,Bridge>`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.